from os.path import abspath, dirname, join
from pytest import raises
from linkahead import get_connection, configure_connection
from linkahead.connection.mockup import (MockUpServerConnection, MockUpResponse)
from caosadvancedtools.serverside.helper import get_data
from loan.box_loan import (FIRST_NAME, EMAIL, LAST_NAME, F_FIRST_NAME,
                         F_LAST_NAME, F_EMAIL, EXPECTED_RETURN, LENT,
                         RETURN_REQUESTED, PERSON, BORROWER, BOX,
                         LOAN_REQUESTED, StateError, F_EXPECTED_RETURN_DATE,
                         DataError, LOAN)
from loan.request_return import get_loan, _issue_return_request
from utils import get_form_data_example


def test_return_request_with_wrong_return_date():
    data = get_data(get_form_data_example())
    data[F_EXPECTED_RETURN_DATE] = "1983-02-03"
    with raises(DataError):
        _issue_return_request(data)

    data[F_EXPECTED_RETURN_DATE] = "asdf"
    with raises(DataError):
        _issue_return_request(data)

    data[F_EXPECTED_RETURN_DATE] = ""
    with raises(DataError):
        _issue_return_request(data)

    del data[F_EXPECTED_RETURN_DATE]
    with raises(DataError):
        _issue_return_request(data)
